/*
 * Copyright 2017 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.forms.processing.engine.handling;

/**
 * Represents a form control that is bound to a nested model
 */
public interface IsNestedModel {

    /**
     * Clears the nested form if exists.
     */
    void clear();

    /**
     * Adds a {@link FieldChangeHandler} to notify the parent form that fields on the nested model have changed
     * @param notifyParentField the change handler.
     */
    void addFieldChangeHandler(FieldChangeHandler notifyParentField);
}
